Fix D1_CLIENT_CLI installer
Status: Closed Start date: 2012-07-31

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The Python installer fails when attempting to install the Python Command-line client.

It needs to work on:

| Op. Sys. | Required | Optional | Notes |

| Ubuntu | @10.04.4@, @12.04@ | | @10.04@ uses Python 2.6, @12.04@ uses Python 2.7 |

| MacOS | @10.6@, @10.7@ | @10.8@ | @10.8@ uses Python 2.7 |

| Windows | @7@ | @8@ | Requires binary @rdflib@ available in Subversion. |

Complete: Ubuntu 10.04.4, Ubuntu 12.04, MacOS 10.8, Windows 8

Related issues:

Related to Infrastructure - Task #3114: Release D1_CLIENT_CLI and prepare for... In Progress 2012-08-02

History

#1 - 2012-07-31 22:18 - Andrew Pippin

Linux (@10.04.4@ and @12.04@) verified to be working.

Ubuntu 10.04.4 - Steps (all done as root)

    @# apt-get update; apt-get install python2.6-dev python-setuptools libxml2-dev libxslt-dev@

    @# easy_install DataONE_CommandLine@

Ubuntu 12.04 - Steps (all done as root)

    @# apt-get update; apt-get install python2.7-dev python-setuptools libxml2-dev libxslt-dev@

    @# easy_install DataONE_CommandLine@

#2 - 2012-08-01 00:39 - Andrew Pippin

Installed on Mac

As usual, lxml is the problem child.  It requires the libxml2 and libxslt development libraries.  The example given below came from 

http://lxml.de/installation.html.

Mountain Lion (MacOS 10.8) - Steps

    @$ sudo env STATIC_DEPS=true easy_install --allow-hosts=lxml.de,*.python.org lxml==2.3.4@

    @$ sudo easy_install DataONE_CommandLine@
#3 - 2012-08-01 18:56 - Andrew Pippin

Installed on Windows

All packages must have a binary distribution.  I could not find a binary package of RDFLib 2.4.2, as a result, I compiled it myself and put it in

Subversion.  This should be moved to the public distribution machine when that becomes available.

Preparation:

    Installed Python 2.7.3 from http://www.python.org/download/releases/2.7.3/

    Installed @easy_install@ from http://pypi.python.org/packages/2.7/s/setuptools/setuptools-0.6c11.win32-py2.7.exe

Windows 8 (Windows 6.2 - build 8400) - Steps

    @C:> easy_install "https://repository.dataone.org/software/python_products/d1_cli/rdflib-2.4.2-py2.7-win32.egg"@

    @C:> easy_install DataONE_CommandLine@

May need to manually install @lxml@ as well:

    @C:> easy_install lxml==2.2.8@

#4 - 2012-08-01 23:03 - Andrew Pippin

Installed on Mac

Same steps as above.

Snow Leopard (MacOS 10.6) - Steps

    @$ sudo env STATIC_DEPS=true easy_install --allow-hosts=lxml.de,*.python.org lxml==2.2.8@

    @$ sudo easy_install DataONE_CommandLine@

#5 - 2012-08-02 02:52 - Andrew Pippin

- Assignee set to Andrew Pippin

- Category set to d1_client_cli

Assigning to myself.

#6 - 2012-08-02 03:38 - Andrew Pippin

Installed on windows 7 and MacOS 10.7 using the same steps as above.

This completes the matrix.

#7 - 2012-08-02 17:18 - Andrew Pippin

- Status changed from New to Closed

The command line CLI now deploys with minimal effort; only requiring a single preparatory command on Ubuntu (10.04 and 12.04), MacOS (10.6,

10.7, and 10.8), and Windows (7, 8DP).
